Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1108676 - Run once vm via REST with <pause>true</pause> parameter, save this parameter true also in next runs
Summary: Run once vm via REST with <pause>true</pause> parameter, save this parameter ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.4.1
Assignee: Shahar Havivi
QA Contact: Artyom
URL:
Whiteboard: virt
Depends On: 1095635
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-12 12:24 UTC by rhev-integ
Modified: 2014-07-29 16:24 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, a "pause" parameter was not functioning properly. The RESTAPI was only passing the parameter to the backend if the value was "true". This meant that any VMs configured to start paused by default could not be started normally via the RESTAPI. Now, a patch has changed the RESTAPI to always pass the value of the "pause" parameter to the backend, regardless of its value. As a result, the pause parameter works properly.
Clone Of: 1095635
Environment:
Last Closed: 2014-07-29 16:24:12 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0960 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.4.1 2014-07-29 20:23:10 UTC
oVirt gerrit 27518 master ABANDONED restapi: Always pass "pause" to backend Never
oVirt gerrit 27996 master MERGED core: do not save state VMs state on RunOnce Never
oVirt gerrit 28122 ovirt-engine-3.4 MERGED core: do not save state VMs state on RunOnce Never
oVirt gerrit 29416 ovirt-engine-3.4 MERGED engine: no need to save vm_static on run once Never
oVirt gerrit 29417 master MERGED engine: no need to save vm_static on run once Never

Comment 2 Artyom 2014-06-26 06:01:42 UTC
Checked on av10(3.4.1-0.23.el6ev)
Still if I create new vm and start it via run once with pause enabled and with attached floppy, pause flag stay checked after I stop vm.
If after it I remove flag manually and again run once vm(pause, attached floppy) flag removed automatically after vm stopped.

Comment 4 Artyom 2014-07-14 11:10:20 UTC
Verified on rhevm-3.4.1-0.25.el6ev.noarch

Comment 6 errata-xmlrpc 2014-07-29 16:24:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0960.html


Note You need to log in before you can comment on or make changes to this bug.